/*
 * FlexiPix config file generator
 *
 * Copyright 2010 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef INC_PIXEL_H
#define INC_PIXEL_H

#include <iostream>

#include "object.h"
#include "point.h"

class Pixel {
public:
  Pixel(const Object *pObjPixel);
  int pixCoord(const Point &pix0, const Point &pixSz,
               unsigned int width, unsigned int height);
  void writePixel(std::ostream & strm) const;
  const Object *mpObjPixel;
  unsigned int mX, mY;
};

#endif // #ifndef INC_PIXEL_H

